Data.Set

# Strictness properties

# Set type

data Set a

# Operators

(\\)

# Query

null

size

member

notMember

lookupLT

lookupGT

lookupLE

lookupGE

isSubsetOf

isProperSubsetOf

# Construction

empty

singleton

insert

delete

# Combine

union

unions

difference

intersection

# Filter

filter

partition

split

splitMember

# Map

map

mapMonotonic

# Folds

foldr

foldl

## Strict folds

foldr'

foldl'

## Legacy folds

fold

# Min/Max

findMin

findMax

deleteMin

deleteMax

deleteFindMin

deleteFindMax

maxView

minView

# Conversion

## List

elems

toList

fromList

## Ordered list

toAscList

toDescList

fromAscList

fromDistinctAscList

# Debugging

showTree

showTreeWith

valid